<div class="page">
  <div class="page-header">
    <button-back class="back-button"></button-back>
    <div class="title">
      Enter the details
    </div>
  </div>
</div>
<ion-content class="page-content">
  <form class="page-content" style="overflow-y: scroll;" name="customerDetailsForm" [formGroup]="customerDetailsForm">
    <div class="form-group" style="position: relative; padding: 24px;">
      <div class="forms">
        <ion-grid>
          <ion-row style="margin-bottom: 3%;">
            <ion-input type="text" class="form-control inputstyle" placeholder="Name*" formControlName="name"
              (ionFocus)="focusInput($event)"></ion-input>
          </ion-row>
          <ion-row style="margin-bottom: 3%;">
            <ion-input type="text" class="form-control inputstyle" placeholder="Mobile" pattern="^\d+$"
              formControlName="mobnumber" maxlength="10" (ionFocus)="focusInput($event)"></ion-input>
          </ion-row>
          <ion-row style="margin-bottom: 3%;">
            <ion-input type="text" class="form-control inputstyle" placeholder="Email*" formControlName="email"
               (ionFocus)="focusInput($event)"></ion-input>
          </ion-row>
          <ion-row style="margin-bottom: 3%;">
            <ion-input type="text" class="form-control inputstyle" placeholder="Premises"
              formControlName="premises" (ionFocus)="focusInput($event)"></ion-input>
          </ion-row>
          <ion-row style="margin-bottom: 3%;">
            <ion-input type="text" class="form-control inputstyle" placeholder="Address/Building"
              formControlName="address" (ionFocus)="focusInput($event)"></ion-input>
          </ion-row>
          <ion-row style="margin-bottom: 3%;">
            <ion-input type="text" class="form-control inputstyle" placeholder="Comments"
              formControlName="comments" (ionFocus)="focusInput($event)"></ion-input>
          </ion-row>
        </ion-grid>
      </div>

    </div>
    <ion-row>
      <ion-col class="mt-4">
        <div class="forms">
          <div>
            <button type="button" (click)="send()" class="ion-btn" id="send"
              [disabled]="customerDetailsForm.invalid">Send</button>
          </div>
        </div>
      </ion-col>
    </ion-row>
  </form>
</ion-content>